MediaWiki:Common.css: Difference between revisions

Support BravuraText font
Infobox display on mobile (thanks to Sintel)
 
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* CSS placed here will be applied to all skins */


/* for [[Template::Monzo]] and [[Template::Val]] */
/* set infoboxes to full width to clear anything on the side */
/* prevent line breaks within monzo and val notations */
/* if the interface is too narrow for it to make sense */
span.monzo,  
@media screen and (max-width: 720px) {
span.val {
    div.infobox {
  white-space: nowrap;
        float: none !important;
        width: 100% !important;
        max-width: 100% !important;
        margin: 0 0 1em 0 !important;
        box-sizing: border-box !important;
    }
}
 
/* for bracket-like templates e.g. [[Template: Bra]] and [[Template: Ket]] */
/* no effects for now */
span.left-delim, span.right-delim {
}
}


Line 67: Line 77:
.heji {
.heji {
     font-family: HEJI2Text;
     font-family: HEJI2Text;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
}


Line 72: Line 84:
@font-face {
@font-face {
     font-family: BravuraText;
     font-family: BravuraText;
     src: url(https://github.com/steinbergmedia/bravura/raw/master/redist/woff/BravuraText.woff2);
     src: url(fonts/BravuraText.woff2) format('woff2');
}
}
.bravura {
.bravura {
     font-family: BravuraText;
     font-family: BravuraText;
     vertical-align: text-top;
     vertical-align: text-top;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
}